class ElementFieldsController < ApplicationController

  before_filter :require_admin
  before_filter :find_element_field, :except => [:add]

  def add
    @element_field = ElementField.new(params[:element_field])
    if request.post? and @element_field.save
      flash[:notice] = l(:notice_successful_create)
      redirect_to :controller => :settings, :action => :plugin, :id => "docs"
    end
  end

  def edit
    if request.post? and @element_field.update_attributes(params[:element_field])
      flash[:notice] = l(:notice_successful_update)
      redirect_to :controller => :settings, :action => :plugin, :id => "docs"
    end
  end

  def destroy
    @element_field.destroy
    flash[:notice] = l(:notice_successful_delete)
    redirect_to :controller => :settings, :action => :plugin, :id => "docs"
  rescue
    flash[:error] = l(:notice_unable_delete)
    redirect_to :controller => :settings, :action => :plugin, :id => "docs"
  end
  
private
  
  def find_element_field
    @element_field = ElementField.find(params[:id])
  rescue ActiveRecord::RecordNotFound
    render_404
  end

end
