class ElementType < ActiveRecord::Base
  
  has_many :element_type_element_fields,
           :dependent => :destroy, 
           :order => :position
  has_many :element_fields, 
           :through => :element_type_element_fields,
           :order => "element_type_element_fields.position"
  has_many :docs, 
           :dependent => :destroy
  has_many :doc_element_values, 
           :dependent => :destroy

  validates_presence_of :name
  validates_uniqueness_of :name
  validates_length_of :name, :maximum => 30
  validates_length_of :icon, :maximum => 30
  validates_length_of :description, :maximum => 100
    
  def to_s
    name
  end
  
  def <=>(element_type)
    self.name.downcase <=> element_type.name.downcase
  end

  def self.icons
    ["black", "blue", "green", "orange", "red", "yellow"]
  end
  
end
