class TraceabilityDoc < ActiveRecord::Base

  belongs_to :traced, 
             :class_name => "Doc"
  belongs_to :tracer, 
             :class_name => "Doc"
  belongs_to :project
  belongs_to :user
  has_many :traceabilities,
           :dependent => :destroy

  validates_uniqueness_of :traced_id, :scope => :tracer_id, :message => l(:error_traced_uniqueness)
  validate :traced_not_tracer
  
  def traced_not_tracer
    errors.add_to_base(l(:error_traced_not_tracer)) unless traced_id != tracer_id
  end
  
  def <=>(doc)
    if self.tracer.name.downcase == doc.tracer.name.downcase
      self.traced.name.downcase <=> doc.traced.name.downcase
    else
      self.tracer.name.downcase <=> doc.tracer.name.downcase
    end
  end

end
