class CreateTraceabilities < ActiveRecord::Migration
  def self.up
    create_table :traceabilities, :force => true do |t|
      t.column :traceability_doc_id, :integer,                           :null => false
      t.column :traced_id,           :integer,                           :null => false
      t.column :tracer_id,           :integer,                           :null => false
      t.timestamps
    end
    add_index :traceabilities, [:traceability_doc_id], :name => "fk_traceabilities_traceability_doc"
    add_index :traceabilities, [:traced_id], :name => "fk_traceabilities_traced"
    add_index :traceabilities, [:tracer_id], :name => "fk_traceabilities_tracer"
  end

  def self.down
    drop_table :traceabilities
  end
end
